package cn.com.poc.agent_application.convert;	

import cn.com.poc.agent_application.model.BizAgentApplicationApiProfileModel;
import cn.com.poc.agent_application.entity.BizAgentApplicationApiProfileEntity;


public class BizAgentApplicationApiProfileConvert {

    public static BizAgentApplicationApiProfileEntity modelToEntity(BizAgentApplicationApiProfileModel model){
        BizAgentApplicationApiProfileEntity entity = new BizAgentApplicationApiProfileEntity();
        entity.setId(model.getId());
        entity.setMemberId(model.getMemberId());
        entity.setApiKey(model.getApiKey());
        entity.setApiSecret(model.getApiSecret());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        entity.setId(model.getId());

        return entity;
    }

    public static BizAgentApplicationApiProfileModel entityToModel(BizAgentApplicationApiProfileEntity entity){
        BizAgentApplicationApiProfileModel model = new BizAgentApplicationApiProfileModel();
        model.setId(entity.getId());
        model.setMemberId(entity.getMemberId());
        model.setApiKey(entity.getApiKey());
        model.setApiSecret(entity.getApiSecret());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        model.setId(entity.getId());
        return model;
    }

}